const Gtk                      = imports.gi.Gtk
const GLib                     = imports.gi.GLib
const Gio                      = imports.gi.Gio


const { getCurrentExtension }  = imports.misc.extensionUtils

function init () {
    /** Do nothing here  */
}

function buildPrefsWidget () {
    // throw Error when libadwaita have not installed.
    imports.gi.Adw

    GLib.idle_add (GLib.PRIORITY_DEFAULT_IDLE, () => {
        widget.get_root ().close ()
        return false
    })

    const widget = new Gtk.Box ()

    const script = `${getCurrentExtension ().path}/preferences/index.js`
    const cmd = ['gjs', '-m', script]
    log ('Launch ' + cmd)

    Gio.Subprocess.new (cmd, Gio.SubprocessFlags.NONE)
    return widget
}
